Skip to content

Verify audit chain integrity

GET
/api/v1/audit/verify
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/audit/verify \
--header 'X-API-Key: <X-API-Key>'

Verify the cryptographic hash chain integrity of the audit trail.

Successful Response

Media typeapplication/json
AuditVerifyResponse

Response for audit chain integrity verification.

object
is_valid
required
Is Valid
boolean
tampered_entry_ids
required
Tampered Entry Ids
Array
total_entries
required
Total Entries
integer
Examplegenerated
{
"is_valid": true,
"tampered_entry_ids": [
"example"
],
"total_entries": 1
}